aboutsummaryrefslogtreecommitdiffstats
path: root/boot/cli_install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'boot/cli_install.sh')
-rw-r--r--boot/cli_install.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/boot/cli_install.sh b/boot/cli_install.sh
index 57f0edc6..77400148 100644
--- a/boot/cli_install.sh
+++ b/boot/cli_install.sh
@@ -33,7 +33,15 @@ mkdir -p $CLI_INSTALL_DIR
cd $CLI_INSTALL_DIR
#Download and unzip CLI
-apt-get install -y wget unzip openjdk-8-jre
+apt-get install -y wget unzip
+
+#check for java
+java -version
+if [ $? == 127 ]
+then
+ apt-get install openjdk-8-jre
+fi
+
wget -O $CLI_ZIP $CLI_LATEST_BINARY
unzip $CLI_ZIP